export function createProblemMatcher() {
    const beginPattern = /^([^\s].*)[\(:](\d+)[,:](\d+)(?:\):\s+|\s+-\s+)(error|warning|info)\s+TS(\d+)\s*:\s*(.*)$/g;
    return (value) => {
        const match = beginPattern.exec(value);
        if (!match)
            return;
        const [, file, line, column, severity, code, message] = match;
        return {
            file,
            line: parseInt(line, 10),
            column: parseInt(column, 10),
            severity,
            code,
            message,
        };
    };
}
//# sourceMappingURL=problemMatcher.js.map